> For the complete documentation index, see [llms.txt](https://docs.dragonswap.app/dragonswap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/smart-router/interfaces/ioracleslippage.md).

# IOracleSlippage

Enables slippage checks against oracle prices

### Functions <a href="#functions" id="functions"></a>

#### checkOracleSlippage <a href="#checkoracleslippage" id="checkoracleslippage"></a>

Ensures that the current (synthetic) tick over the path is no worse than `maximumTickDivergence` ticks away from the average as of `secondsAgo`

```solidity
function checkOracleSlippage(bytes memory path, uint24 maximumTickDivergence, uint32 secondsAgo) external view;
```

**Parameters**

| Name                    | Type     | Description                                                |
| ----------------------- | -------- | ---------------------------------------------------------- |
| `path`                  | `bytes`  | The path to fetch prices over                              |
| `maximumTickDivergence` | `uint24` | The maximum number of ticks that the price can degrade by  |
| `secondsAgo`            | `uint32` | The number of seconds ago to compute oracle prices against |

#### checkOracleSlippage <a href="#checkoracleslippage-1" id="checkoracleslippage-1"></a>

Ensures that the weighted average current (synthetic) tick over the path is no worse than `maximumTickDivergence` ticks away from the average as of `secondsAgo`

```solidity
function checkOracleSlippage(
    bytes[] memory paths,
    uint128[] memory amounts,
    uint24 maximumTickDivergence,
    uint32 secondsAgo
) external view;
```

**Parameters**

| Name                    | Type        | Description                                                |
| ----------------------- | ----------- | ---------------------------------------------------------- |
| `paths`                 | `bytes[]`   | The paths to fetch prices over                             |
| `amounts`               | `uint128[]` | The weights for each entry in `paths`                      |
| `maximumTickDivergence` | `uint24`    | The maximum number of ticks that the price can degrade by  |
| `secondsAgo`            | `uint32`    | The number of seconds ago to compute oracle prices against |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/smart-router/interfaces/ioracleslippage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
